Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.startup
Class Tomcat

    java.lang.Object
      org.apache.tomcat.startup.Tomcat

Deprecated. Use individual tasks instead: StopTomcat, EmbededTomcat, EnableConfig, etc.

public class Tomcat
extends java.lang.Object

Main entry point to several Tomcat functions. Uses EmbededTomcat to start and init tomcat, and special functions to stop, configure, etc. It is intended as a replacement for the shell command - EmbededTomcat is the "real" tomcat-specific object that deals with tomcat internals, this is just a wrapper. It can be used in association with Main.java - in order to set the CLASSPATH.

Author:
  Costin Manolache

Constructor Summary
`Tomcat()` Deprecated.

Method Summary
`void` | `enableAdmin()` Deprecated.
`void` | `execute()` Deprecated.
`static void` | `main(java.lang.String[] args)` Deprecated.
`static void` | `printUsage()` Deprecated.
`boolean` | `processArgs(java.lang.String[] args)` Deprecated. Process arguments - set object properties from the list of args.
`void` | `setAction(java.lang.String s)` Deprecated.
`void` | `setAppsClassLoader(java.lang.ClassLoader cl)` Deprecated.
`void` | `setArgs(java.lang.String[] args)` Deprecated.
`void` | `setAttribute(java.lang.String s, java.lang.Object o)` Deprecated. Called by Main to set non-string properties
`void` | `setCommonClassLoader(java.lang.ClassLoader cl)` Deprecated.
`void` | `setConfig(java.lang.String s)` Deprecated.
`void` | `setContainerClassLoader(java.lang.ClassLoader cl)` Deprecated.
`void` | `setEnableAdmin(boolean b)` Deprecated.
`void` | `setF(java.lang.String s)` Deprecated.
`void` | `setH(java.lang.String home)` Deprecated.
`void` | `setHome(java.lang.String home)` Deprecated.
`void` | `setI(java.lang.String install)` Deprecated.
`void` | `setInstall(java.lang.String install)` Deprecated.
`void` | `setParentClassLoader(java.lang.ClassLoader cl)` Deprecated.
`void` | `setProperty(java.lang.String s, java.lang.Object v)` Deprecated. Callback from argument processing
`void` | `setSandbox(boolean b)` Deprecated.
`void` | `setStop(boolean b)` Deprecated.
`void` | `startTomcat()` Deprecated.
`void` | `stopTomcat()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tomcat

    public Tomcat()

  Deprecated.

Method Detail

### setHome

    public void setHome(java.lang.String home)

  Deprecated.

### setH

    public void setH(java.lang.String home)

  Deprecated.

### setInstall

    public void setInstall(java.lang.String install)

  Deprecated.

### setI

    public void setI(java.lang.String install)

  Deprecated.

### setArgs

    public void setArgs(java.lang.String[] args)

  Deprecated.

### setConfig

    public void setConfig(java.lang.String s)

  Deprecated.

### setF

    public void setF(java.lang.String s)

  Deprecated.

### setAction

    public void setAction(java.lang.String s)

  Deprecated.

### setSandbox

    public void setSandbox(boolean b)

  Deprecated.

### setStop

    public void setStop(boolean b)

  Deprecated.

### setEnableAdmin

    public void setEnableAdmin(boolean b)

  Deprecated.

### setParentClassLoader

    public void setParentClassLoader(java.lang.ClassLoader cl)

  Deprecated.

### setCommonClassLoader

    public void setCommonClassLoader(java.lang.ClassLoader cl)

  Deprecated.

### setAppsClassLoader

    public void setAppsClassLoader(java.lang.ClassLoader cl)

  Deprecated.

### setContainerClassLoader

    public void setContainerClassLoader(java.lang.ClassLoader cl)

  Deprecated.

### execute

    public void execute()
                 throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

### enableAdmin

    public void enableAdmin()
                     throws TomcatException

  Deprecated.
  Throws:
    `TomcatException`

### stopTomcat

    public void stopTomcat()
                    throws TomcatException

  Deprecated.
  Throws:
    `TomcatException`

### startTomcat

    public void startTomcat()
                     throws TomcatException

  Deprecated.
  Throws:
    `TomcatException`

### printUsage

    public static void printUsage()

  Deprecated.

### processArgs

    public boolean processArgs(java.lang.String[] args)

  Deprecated.
  Process arguments - set object properties from the list of args.

### setProperty

    public void setProperty(java.lang.String s,
                            java.lang.Object v)

  Deprecated.
  Callback from argument processing

### setAttribute

    public void setAttribute(java.lang.String s,
                             java.lang.Object o)

  Deprecated.
  Called by Main to set non-string properties

### main

    public static void main(java.lang.String[] args)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.